#! /usr/bin/env node

"use strict";

var _this = this;

const util_1 = require("./util");
const promise_1 = require("./promise");
const path = require("path");
const cla = require("command-line-args");
//noinspection JSUnusedLocalSymbols
const __awaiter = require("./awaiter");
const args = cla(util_1.commonArgs.concat({
    name: "arch",
    type: String
})).parse();
const devPackageFile = path.join(process.cwd(), "package.json");
const appDir = args.appDir || util_1.DEFAULT_APP_DIR_NAME;
util_1.readPackageJson(devPackageFile).then(it => __awaiter(_this, void 0, void 0, function* () {
    return util_1.installDependencies(path.join(process.cwd(), appDir), (yield util_1.getElectronVersion(it, devPackageFile)), args.arch);
})).catch(promise_1.printErrorAndExit);
//# sourceMappingURL=install-app-deps.js.map